List the executions of an agent
curl --request GET \
--url https://api.starleads.co/AgentTestExecution \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/AgentTestExecution"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/AgentTestExecution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"repetitions": 123,
"testIds": [
"<string>"
],
"status": "Queued",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"counters": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123,
"cancelled": 123
},
"tests": [
{
"testId": "<string>",
"counters": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123,
"cancelled": 123
},
"passRate": 123
}
]
}
],
"total": 123,
"pageNumber": 123,
"pageSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Agent Test Executions
List the executions of an agent
Lists the executions of one of your agents, newest first, paginated.
GET
/
AgentTestExecution
List the executions of an agent
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Query Parameters
Agent owning the executions

